﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PositiveNumberTexBox
{
    public partial class PositiveNumberTextBox : TextBox
    {
        public delegate void NegativeNumberHandler();
        public event NegativeNumberHandler OnNegativeNumber;

        public PositiveNumberTextBox()
        {
            InitializeComponent();
        }

        protected override void OnTextChanged(EventArgs e)
        {
            try
            {
                if (double.Parse(this.Text) < 0)
                {
                    if (OnNegativeNumber != null) OnNegativeNumber();
                }
            }
            catch (Exception)
            {
            }
            
            base.OnTextChanged(e);
        }

    }
}
